Package com.evopdf

# Class PdfFormSubmitFlags

java.lang.Object
com.evopdf.PdfFormSubmitFlags

public class PdfFormSubmitFlags extends Object
The submit form action flags to be combined to express various characteristics of the action

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CanonicalFormat`
  If set, any submitted field values representing dates shall be converted to the standard format
  `static final int`
  `Default`
  `static final int`
  `EmbedForm`
  Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear).
  `static final int`
  `ExclFKey`
  Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear).
  `static final int`
  `ExclNonUserAnnots`
  Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear) and the IncludeAnnotations flag is set.
  `static final int`
  `ExportFormat`
  Meaningful only if the SubmitPDF and XFDF flags are clear.
  `static final int`
  `GetMethod`
  If set, field names and values shall be submitted using an HTTP GET request.
  `static final int`
  `IncludeAnnotations`
  Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear).
  `static final int`
  `IncludeAppendSaves`
  Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear).
  `static final int`
  `IncludeExclude`
  If clear, the Fields array specifies which fields to include in the submission.
  `static final int`
  `IncludeNoValueFields`
  If set, all fields designated by the Fields array and the Include/Exclude flag shall be submitted, regardless of whether they have a value.
  `static final int`
  `SubmitCoordinates`
  If set, the coordinates of the mouse click that caused the submit-form action shall be transmitted as part of the form data.
  `static final int`
  `SubmitPDF`
  If set, the document shall be submitted as PDF, using the MIME content type application/pdf.
  `static final int`
  `XFDF`
  Shall be used only if the SubmitPDF flags are clear.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfFormSubmitFlags()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Default

    public static final int Default
    See Also:
      - Constant Field Values

  - ### IncludeExclude

    public static final int IncludeExclude
    If clear, the Fields array specifies which fields to include in the submission. If set, the Fields array tells which fields to exclude
    See Also:
      - Constant Field Values

  - ### IncludeNoValueFields

    public static final int IncludeNoValueFields
    If set, all fields designated by the Fields array and the Include/Exclude flag shall be submitted, regardless of whether they have a value. For fields without a value, only the field name shall be transmitted. If clear, fields without a value shall not be submitted
    See Also:
      - Constant Field Values

  - ### ExportFormat

    public static final int ExportFormat
    Meaningful only if the SubmitPDF and XFDF flags are clear. If set, field names and values shall be submitted in HTML Form format. If clear, they shall be submitted in Forms Data Format
    See Also:
      - Constant Field Values

  - ### GetMethod

    public static final int GetMethod
    If set, field names and values shall be submitted using an HTTP GET request. If clear, they shall be submitted using a POST request. This flag is meaningful only when the ExportFormat flag is set; if ExportFormat is clear, this flag shall also be clear
    See Also:
      - Constant Field Values

  - ### SubmitCoordinates

    public static final int SubmitCoordinates
    If set, the coordinates of the mouse click that caused the submit-form action shall be transmitted as part of the form data. The coordinate values are relative to the upper-left corner of the field’s widget annotation rectangle. This flag shall be used only when the ExportFormat flag is set. If ExportFormat is clear, this flag shall also be clear
    See Also:
      - Constant Field Values

  - ### XFDF

    public static final int XFDF
    Shall be used only if the SubmitPDF flags are clear. If set, field names and values shall be submitted as XFDF
    See Also:
      - Constant Field Values

  - ### IncludeAppendSaves

    public static final int IncludeAppendSaves
    Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear). If set, the submitted FDF file shall include the contents of all incremental updates to the underlying PDF document, as contained in the Differences entry in the FDF dictionary. If clear, the incremental updates shall not be included
    See Also:
      - Constant Field Values

  - ### IncludeAnnotations

    public static final int IncludeAnnotations
    Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear). If set, the submitted FDF file shall include includes all markup annotations in the underlying PDF document. If clear, markup annotations shall not be included
    See Also:
      - Constant Field Values

  - ### SubmitPDF

    public static final int SubmitPDF
    If set, the document shall be submitted as PDF, using the MIME content type application/pdf. If set, all other flags shall be ignored except GetMethod
    See Also:
      - Constant Field Values

  - ### CanonicalFormat

    public static final int CanonicalFormat
    If set, any submitted field values representing dates shall be converted to the standard format
    See Also:
      - Constant Field Values

  - ### ExclNonUserAnnots

    public static final int ExclNonUserAnnots
    Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear) and the IncludeAnnotations flag is set. If set, it shall include only those markup annotations whose T entry matches the name of the current user, as determined by the remote server to which the form is being submitted.
    See Also:
      - Constant Field Values

  - ### ExclFKey

    public static final int ExclFKey
    Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear). If set, the submitted FDF shall exclude the F entry.
    See Also:
      - Constant Field Values

  - ### EmbedForm

    public static final int EmbedForm
    Shall be used only when the form is being submitted in Forms Data Format (that is, when both the XFDF and ExportFormat flags are clear). If set, the F entry of the submitted FDF shall be a file specification containing an embedded file stream representing the PDF file from which the FDF is being submitted
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PdfFormSubmitFlags

    public PdfFormSubmitFlags()